package com.ll.springmvc.controller;


import com.ll.springmvc.annaotion.MvcAutowired;
import com.ll.springmvc.annaotion.MvcController;
import com.ll.springmvc.annaotion.MvcRequestMapping;
import com.ll.springmvc.annaotion.MvcRequestParam;
import com.ll.springmvc.service.WriteService;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.io.PrintWriter;

/**
 * WriteController
 *
 * @author WangLei
 * Date 2024/6/23 023 20:40
 */
@MvcController
@MvcRequestMapping("/write")
public class WriteController {
    @MvcAutowired("WriteServiceImpl")   //map.get("key)
    private WriteService writeService;

    @MvcRequestMapping("/query")
    public void query(HttpServletRequest request, HttpServletResponse response,
                      @MvcRequestParam("name") String name,
                      @MvcRequestParam("age") String age) {

        try {
            PrintWriter pw=response.getWriter();
            String result = writeService.query(name, age);
            pw.write(result);
        } catch (IOException e) {
            throw new RuntimeException(e);
        }

    }
}
